! copyright (c) 2008 Swedish Defence Research Agency (FOI) 
! may not be copied or distributed without written permission from FOI



      MODULE INMODELa

      IMPLICIT NONE

      INTEGER NOLDIM, NHYDDIM,
     & IAZIMI, IIFSMSOME,IIMHQSOME, NSS,NSO,NSW,NOL,NOLHOML, NHYD, 
     & ICONTCUT0
      REAL*8 ALFA1AZIM, ZSOURC,RHOSOURC, FSMDZMIN
      COMPLEX*16 FREAZIM,FIMAZIM, UA2SOURC, ZLOCREACTNOL
      INTEGER,     DIMENSION(:), ALLOCATABLE :: ISOLID,IFSMTYP, IDHYD,IHDD
      REAL*8,      DIMENSION(:), ALLOCATABLE :: ZD,DZ, RHO
      COMPLEX*16,  DIMENSION(:), ALLOCATABLE :: UA2,UB2,TWOVB2, UC2,UF2
C     index 0 for upper half-space, index nol for lower half-space

      SAVE

      END MODULE INMODELa
